<?php

  //Letras
  $Letra[1] = 'A';
  $Letra[2] = 'B';
  $Letra[3] = 'C';
  $Letra[4] = 'D';
  $Letra[5] = 'E';
  $Letra[6] = 'F';
  $Letra[7] = 'G';
  $Letra[8] = 'H';
  $Letra[9] = 'I';
  $Letra[10] = 'J';
  $Letra[11] = 'K';
  $Letra[12] = 'L';
  $Letra[13] = 'M';
  $Letra[14] = 'N';
  $Letra[15] = 'O';
  $Letra[16] = 'P';
  $Letra[17] = 'Q';
  $Letra[18] = 'R';
  $Letra[19] = 'S';
  $Letra[20] = 'T';
  $Letra[21] = 'U';
  $Letra[22] = 'V';
  $Letra[23] = 'W';
  $Letra[24] = 'X';
  $Letra[25] = 'Y';
  $Letra[26] = 'Z';

  $Letras = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');

  echo $Codigo = 'BOING01AA1924';
  echo $Codigo = 'BOING01AA0000';
  echo "<hr>";

  //If Count
  echo $Count = strlen($Codigo);
  echo "<hr>";

  if( $Count == 13 ){

    //Parte 1
    $Parte1 = substr($Codigo, 0, 5);
    echo $Parte1;
    echo "<hr>";

    //If BOING
    if( $Parte1 == 'BOING' ){

      $Parte2 = substr($Codigo, 5, 2);
      echo $Parte2;
      echo "<hr>";
      $Parte2 = ltrim($Parte2,'0');

      //If 1-33
      if( $Parte2 >= 1 && $Parte2 <= 33 ){

        echo $Parte3 = substr($Codigo, 7, 1);
        echo "<hr>";

        //If A-Z
        if (in_array($Parte3, $Letras)) {

          echo $Parte4 = substr($Codigo, 8, 1);
          echo "<hr>";

          //If A-Z
          if (in_array($Parte4, $Letras)) {

            echo $Parte5 = substr($Codigo, 9, 4);
            $Parte5 = ltrim($Parte5,'0');

            //If 0001-9999
            if( $Parte5 >= 1 && $Parte5 <= 9999 ){

              echo $Parte2;
              echo "<hr>";
              echo "Valido";

            }else{
              $Error = 1;
              echo "No Valido";
            }


          }else{
            $Error = 1;
          }

        }else{
          $Error = 1;
        }

      }else{
        $Error = 1;
      }

    }else{
      $Error = 1;
    }

  }else{
    $Error = 1;
  }


?>
